Bug 240838 - documentation is not utf-8
Summary: documentation is not utf-8
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libexif (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-22 09:01 UTC by Ralf Corsepius
Modified: 2008-02-05 18:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 18:00:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch spec to use a patch to convert documentation from latin1 to utf8 (10.53 KB, patch)
2008-01-06 01:04 UTC, Till Maas
no flags Details | Diff
recode documentation from latin1 to utf8 (patches the spec) (852 bytes, patch)
2008-01-06 12:28 UTC, Till Maas
no flags Details | Diff

Description Ralf Corsepius 2007-05-22 09:01:13 UTC
Description of problem:
/usr/share/doc/libexif-0.6.13/README
should be utf8 encoded

Version-Release number of selected component (if applicable):
libexif-0.6.13-2

How reproducible:
Check the README for "Lutz". His last name is Müller but is displayed as
"M<junk>ller"

Comment 1 Till Maas 2008-01-06 01:03:40 UTC
also applies to ChangeLog and COPYING

I will attach and patch to cvs-devel, that will add an patch and modify the
specfile to apply the patch.

Btw. there is a huge number of unused patches in the devel dir, you can list
them with "make unused-patches", maybe you want to remove them.

Comment 2 Till Maas 2008-01-06 01:04:51 UTC
Created attachment 290897 [details]
patch spec to use a patch to convert documentation from latin1 to utf8

Comment 3 Matthias Clasen 2008-01-06 03:33:59 UTC
This patch will need constant updating when new ChangeLog entries appear. What I
would like to see is 

- convince upstream to convert the files to utf-8 and maintain them in that
encoding 

If that doesn't work, 

- use iconv to convert the files to utf-8 

Comment 4 Till Maas 2008-01-06 12:27:26 UTC
I filed an upstream bug report:
https://sourceforge.net/tracker/index.php?func=detail&aid=1865046&group_id=12272&atid=112272

Also I wrote a patch for cvs/the spec to convert the documentation to utf8 with
recode (which allows inplace conversion which is afaik not possible with iconv)

Comment 5 Till Maas 2008-01-06 12:28:15 UTC
Created attachment 290908 [details]
recode documentation from latin1 to utf8 (patches the spec)

Comment 6 Matthias Clasen 2008-02-05 18:00:27 UTC
* Tue Feb  5 2008 Matthias Clasen <mclasen@redhat.com> - 0.6.15-6
- Convert doc files to utf-8 (#240838)



Note You need to log in before you can comment on or make changes to this bug.